const express = require('express');
const path = require('path');

const app = express();
const PORT = 3000;

app.set('view engine', 'ejs');
app.set('views', path.join(__dirname, 'views'));
app.use(express.static(path.join(__dirname, 'public')));

app.use(express.json());
app.use(express.urlencoded({ extended: true }));

app.use('/', require('./routes/nav'));
app.use('/basics', require('./routes/basics'));
app.use('/debug', require('./routes/debug'));
app.use('/work-poc', require('./routes/work-poc'));
app.use('/pentest', require('./routes/pentest'));

app.listen(PORT, () => {
    console.log(`Server running at http://localhost:${PORT}`);
});
